[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Chicken-users] Using irregex safely & responsibly [Was: Re: dev-sna

From: Jim Ursetto
Subject: Re: [Chicken-users] Using irregex safely & responsibly [Was: Re: dev-snapshot 4.6.3]
Date: Fri, 8 Oct 2010 16:00:05 -0500

On Fri, Oct 8, 2010 at 02:09, Peter Bex <address@hidden> wrote:
> That's not quite true; some of the compatibility code is still necessary
> to make up for the changes in the API.

If that's the case, it means that eggs compiled with 4.6.0 aren't
compatible with those compiled with 4.6.2, because that compatibility
code is selected at compile-time.  It's looking to me more and more
that the binversion should be bumped from 5 to 6 (as much as I dislike

Why can't the compatibility code be included in the new irregex unit?
In other words, the old procedure names and behavior could be
deprecated but left in so that 1) we don't have to add a blob of
compatibility code to every egg, and 2) eggs using the old irregex API
would be compatible with all Chicken versions without rebuilding.
It's not very nice to the end-user to just remove procedures without
going through a deprecation phase.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]